# Uses of Interface
javax.lang.model.element.PackageElement

Packages that use PackageElement
Package
Description
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).
javax.lang.model.element
Interfaces used to model elements of the Java programming language.
javax.lang.model.util
Utilities to assist in the processing of program elements and types.

## Uses of PackageElement in com.sun.source.util

Methods in com.sun.source.util with parameters of type PackageElement
Modifier and Type
Method
Description
`abstract DocTreePath`
DocTrees.`getDocTreePath(FileObject fileObject, PackageElement packageElement)`
Returns a doc tree path containing the doc comment tree of the given file.

## Uses of PackageElement in javax.lang.model.element

Methods in javax.lang.model.element that return PackageElement
Modifier and Type
Method
Description
`PackageElement`
ModuleElement.ExportsDirective.`getPackage()`
Returns the package being exported.
`PackageElement`
ModuleElement.OpensDirective.`getPackage()`
Returns the package being opened.
Methods in javax.lang.model.element with parameters of type PackageElement
Modifier and Type
Method
Description
`R`
ElementVisitor.`visitPackage(PackageElement e, P p)`
Visits a package element.

## Uses of PackageElement in javax.lang.model.util

Methods in javax.lang.model.util that return PackageElement
Modifier and Type
Method
Description
`PackageElement`
Elements.`getPackageElement(CharSequence name)`
Returns a package given its fully qualified name if the package is uniquely determinable in the environment.
`default PackageElement`
Elements.`getPackageElement(ModuleElement module, CharSequence name)`
Returns a package given its fully qualified name, as seen from the given module.
`PackageElement`
Elements.`getPackageOf(Element e)`
Returns the package of an element.
Methods in javax.lang.model.util that return types with arguments of type PackageElement
Modifier and Type
Method
Description
`default Set<? extends PackageElement>`
Elements.`getAllPackageElements(CharSequence name)`
Returns all package elements with the given canonical name.
`static List<PackageElement>`
ElementFilter.`packagesIn(Iterable<? extends Element> elements)`
Returns a list of packages in `elements`.
`static Set<PackageElement>`
ElementFilter.`packagesIn(Set<? extends Element> elements)`
Returns a set of packages in `elements`.
Methods in javax.lang.model.util with parameters of type PackageElement
Modifier and Type
Method
Description
`R`
ElementKindVisitor6.`visitPackage(PackageElement e, P p)`
Visits a package element.
`R`
ElementScanner6.`visitPackage(PackageElement e, P p)`
Visits a package element.
`R`
SimpleElementVisitor6.`visitPackage(PackageElement e, P p)`
Visits a package element.